## org.apache.lucene.queryParser.standard.config
Interface PositionIncrementsAttribute

All Superinterfaces:
  org.apache.lucene.util.Attribute

All Known Implementing Classes:
  PositionIncrementsAttributeImpl

Deprecated.

    @Deprecated
    public interface PositionIncrementsAttribute

extends org.apache.lucene.util.Attribute

This attribute is used by `AnalyzerQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor if the position increment is enabled.

Method Summary
`boolean` `isPositionIncrementsEnabled()` Deprecated.
`void` `setPositionIncrementsEnabled(boolean positionIncrementsEnabled)` Deprecated.

Method Detail

### setPositionIncrementsEnabled

    void setPositionIncrementsEnabled(boolean positionIncrementsEnabled)

  Deprecated.

### isPositionIncrementsEnabled

    boolean isPositionIncrementsEnabled()

  Deprecated.